# Generated by Django 5.0 on 2023-06-20 00:49

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Tipo_evento',
            fields=[
                ('codigo', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=100)),
                ('descripcion', models.CharField(max_length=252)),
            ],
        ),
        migrations.CreateModel(
            name='Lugar',
            fields=[
                ('codigo', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=100)),
                ('direccion', models.CharField(max_length=252)),
                ('lat', models.FloatField(default=0)),
                ('long', models.FloatField(default=0)),
                ('descripcion', models.CharField(max_length=252)),
                ('añadido', models.DateField(auto_now_add=True)),
                ('usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Evento',
            fields=[
                ('codigo', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=100)),
                ('fecha_creacion', models.DateField(auto_now_add=True)),
                ('fecha_evento', models.DateField(default='2001-09-11')),
                ('descripcion', models.CharField(max_length=252)),
                ('usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('c_lugar', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Greengo.lugar')),
                ('c_tevento', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Greengo.tipo_evento')),
            ],
        ),
    ]
